<?php
require_once "Config/Config.php";
header("Access-Control-Allow-Origin: *");
$ruta=!empty($_GET['url'])?$_GET['url']:"Home/index";
$array = explode("/",$ruta);
$controller =$array[0];
$metodo ="index";
$parametro="";

if(!empty($array[1])){
    if(!empty($array[1]!="")){
        $metodo=$array[1];
    }

}
if(!empty($array[2])){
    if(!empty($array[2]!="")){
        for($i=2;$i<count($array);$i++){
            $parametro.=$array[$i].",";

        }
        $parametro=trim($parametro,",");
    }
}
require_once "Config/App/autoload.php";
$dirControllers = "Controllers/".$controller.".php";

if(file_exists($dirControllers)){
    require_once $dirControllers;
    $controller =new $controller();

    date_default_timezone_set('America/La_Paz');
    $hoy=new DateTime();
    if(isset($_SESSION['fechaIngreso'])){
        if($_SESSION['fechaIngreso']->format('Y-m-d')!=$hoy->format('Y-m-d')){
            session_destroy();
        }
    }
    if(method_exists($controller,$metodo)){
        $controller->$metodo($parametro);
    }else{
        echo "No existe el Metodo";
    }
}else{
    echo "No existe el controlador";
}
?>